Just slammed together a script to add users and give them access to the "upload" user directory.

Edit: Sorry for the updates, it turned out the first version was not optimal.

 #!/bin/sh # Usage: uploader [username ...] error() { test
-t 1 && { tput setf 4 echo "$1" >&2 tput setf 7 } || echo "$1" >&2 exit 1 }
users="upload $*" for user in $users do # Create user if necessary id $user
1>/dev/null 2>&1 if [ "$?" -ne "0" ] then useradd --groups upload --comment
"Upload user" $user && \ echo "Created upload user '${user}'." || \ error "Could
not create upload user '${user}'." fi done # Disable upload password usermod
--lock upload # Files chown -R upload:upload ~upload || \ error "Could not
change owner of upload home dir" chmod -R ug+rwX,o= ~upload || \ error "Could
not change rights of upload home dir"